## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# test requires real credentials and network access
%bcond_with check

Name:           python-huami-token
Version:        0.7.0
Release:        %autorelease
Summary:        Obtain watch or band Bluetooth token from Huami servers
License:        MIT
URL:            https://codeberg.org/argrento/huami-token
Source:         %{url}/archive/v%{version}.tar.gz#/huami_token-%{version}.tar.gz
# relax dependencies
Patch:          %{name}-deps.patch
# fix entrypoint script
Patch:          %{name}-entrypoint.patch
BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%global _desc %{expand:
Script to obtain watch or band bluetooth access token from Huami
servers. It will also download AGPS data packs cep_alm_pak.zip and
cep_7days.zip.
}

%description %_desc

%package     -n python3-huami-token
Summary:        %{summary}

%description -n python3-huami-token %_desc

%prep
%autosetup -p1 -n huami-token
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files huami_token

%check
%pyproject_check_import
%if %{with check}
%pytest
%endif

%files -n python3-huami-token -f %{pyproject_files}
%doc README.md
%license LICENSE.md
%{_bindir}/huami_token

%changelog
## START: Generated by rpmautospec
* Wed Sep 25 2024 Dominik Mierzejewski <dominik@greysector.net> - 0.7.0-1
- initial package for Fedora
- relax upstream dependencies
- fix entrypoint script
## END: Generated by rpmautospec
